package com.example.dateplanner.utils;

import lombok.Getter;

@Getter
public class CookieUtil {
    private static CookieUtil instance = null;

    private final String REFRESH;
    private final String ACCESS;
    private final String SESSION;

    protected CookieUtil(){
        String appName = "dp";
        REFRESH = appName + "-refresh";
        ACCESS = appName + "-access";
        SESSION = appName + "-session";
    }

    public static CookieUtil getInstance(){
        if(instance == null){
            instance = new CookieUtil();
        }
        return instance;
    }

}
